function addDialogEventListenerForAllFrameWindows(winObjs) {
	if(winObjs) {
		winObjs = Array.prototype.slice.call(winObjs);
		winObjs.forEach( function (winObj) {
			rmotRecorder.log("Registering for each Frame window with addDialogEventListner");
			dialogHandler.addDialogEventListener(winObj);
		});
	}
}

webGuiStorage.set('isDesktopRecorderActive', 'true');
browserDetails = jsUtil.getBrowserCompatibilityDetails();


if(browserDetails.status === true && browserDetails.tracemode === true)
	console.log("RTW: " + browserDetails.name + "Version : " + browserDetails.version);
else if(browserDetails.status === false)
	console.error("RTW Error: " + browserDetails.name + "Version : " + browserDetails.version + " running with " + browserDetails.compatMode + " and Document Mode is " + browserDetails.documentMode);

dialogHandler = new DialogHandler();
dialogHandler.addDialogEventListener(window);
//register for all the fame windows
addDialogEventListenerForAllFrameWindows(window.frames);


rmotRecorder.startRecording();

document.addEventListener('stopRecorder', function(e) {
    console.log("Stop recorder event received");
    webGuiStorage.remove('isDesktopRecorderActive');
});