/******************************************************************
* Licensed Materials - Property of IBM and/or HCL 
* (c) Copyright HCL Technologies Ltd. 2019. All Rights Reserved.
* 
* Note to U.S. Government Users Restricted Rights: 
* Use, duplication or disclosure restricted by GSA ADP Schedule 
* Contract with IBM Corp. 
*******************************************************************/

function setTableDisplay(display) {
	var table = document.getElementById('appTable');
	table.style.display = display;
}
setTableDisplay('none');

function addStyle(str) {
	var node = document.createElement('style');
	node.innerHTML = str;
	document.body.appendChild(node);
}
addStyle('\
	#loader {\
		border: 3px solid #f3f3f3;\
		animation: spin 1s linear infinite;\
		border-top: 3px solid #555;\
		border-radius: 50%;\
		width: 30px;\
		height: 30px;\
	}\
	@keyframes spin {\
		0% { transform: rotate(0deg); }\
		100% { transform: rotate(360deg); }\
	}'
);

function createLoader() {
	var loader = document.createElement('div');
	loader.id = 'loader';
	var cfgApp = document.getElementById('configApp');
	cfgApp.appendChild(loader);
}
createLoader();

function hideLoader() {
	var loader = document.getElementById('loader');
	loader.style.display = 'none';
}

setTimeout(function() {
		hideLoader();
		setTableDisplay('inherit');
	}, loadTimer
);
